			  
#include <LPC213x.h>
#include "LPC2138_BIT.h"

#define POWER_FPGA	P0_25
#define LED_GREEN	P1_16


void timer_0_ISR (void) __irq ;

//-----------------------------------------------------------
int main (void)
{
	VPBDIV = 0x11 ;	

	PINSEL0 = (1<<(P0_1*2))|(1<<(P0_0*2)) ;
	PINSEL1 = 0 ;

	IO0PIN = 0 ;
	IO0DIR = (1<<POWER_FPGA) ;

	IO1PIN = 0 ;
	IO1DIR = (1<<LED_GREEN) ;

	VICVectCntl0 = 0x20 | 4 ;
	VICVectAddr0 = (unsigned long)timer_0_ISR ;
	VICIntEnable = (1<<4) ;

	T0MCR = (1<<MR0I)|(1<<MR0R) ;
	T0PR = 0 ;

	IO0SET = (1<<POWER_FPGA) ;

	T0MR0 = 20000000 ;
	T0TCR = 3 ;
	T0TCR = 1 ;

	while (1) ;
}
//-----------------------------------------------------------
void timer_0_ISR (void) __irq
{
	IO1PIN ^= (1<<LED_GREEN) ;
	T0IR = (1<<0) ;
	VICVectAddr = 0 ;
}
